Agent Versions
Delete an agent version
Deletes a specific version of an agent. For hosted agents, if the version has active
sessions, the request is rejected with HTTP 409 unless force is set to true. When
force is true, all sessions associated with this version are cascade-deleted.
路径参数
agent_name
string
必需
The name of the agent to delete.
agent_version
string
必需
The version of the agent to delete
查询参数
force
boolean
For Hosted Agents, if true, force-deletes the version even if it has active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
必需
The API version to use for this operation.
响应
The request has succeeded.
正文
object
enum
必需
The object type. Always 'agent.version.deleted'.
name
string
必需
The name of the agent.
version
string
必需
The version identifier of the agent.
deleted
boolean
必需
Whether the agent was successfully deleted.
请求
DELETE /agents/{agent_name}/versions/{agent_version} HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json